Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class ExtendedFileContentManager

All Superinterfaces:
  FileContentManager

All Known Implementing Classes:
  CoreFileContentManager, FileContentManagerImpl

    public interface class ExtendedFileContentManager

extends FileContentManager

Extends the FileContentManager with functionality available only to in-process clients.

Method Summary
`int` | `read(long docId, long offset, byte[] buffer, int length)` Reads a byte range from the content of a document and places it in the provided buffer.
`void` | `updateContent(long id, java.io.InputStream content, NamedValue[] attributes)` Updates the content of an existing DOCUMENT or DOCUMENT_DEFINITION item.

Methods inherited from interface oracle.ifs.fdk.FileContentManager
`getContent`

Method Detail

### updateContent

    void updateContent(long id,
                       java.io.InputStream content,
                       NamedValue[] attributes)
                       throws FdkException

  Description copied from interface: `ExtendedFileContentManager`
  Updates the content of an existing DOCUMENT or DOCUMENT_DEFINITION item.

  Parameters:
    `id` - the ID of the DOCUMENT or DOCUMENT_DEFINITION to update.
    `content` - the InputStream with the updated content.
    `attributes` - additional attributes to update, or null. Valid attributes are:
    - Attributes.DOCUMENT_CHARACTER_SET
    - Attributes.DOCUMENT_LANGUAGE
  Throws:
    `FdkException` - if the operation fails.

### read

    int read(long docId,
             long offset,
             byte[] buffer,
             int length)
             throws FdkException

  Description copied from interface: `ExtendedFileContentManager`
  Reads a byte range from the content of a document and places it in the provided buffer.

  Parameters:
    `docId` - the ID of the DOCUMENT.
    `offset` - the start offset of the data.
    `buffer` - the buffer into which the data is read.
    `length` - the maximum number of bytes read.
  Returns:
    the number of bytes actually read.
  Throws:
    `FdkException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD